Loading...
Searching...
No Matches
Magick::DrawableStrokeColor Class Reference
Inheritance diagram for Magick::DrawableStrokeColor:

## Public Member Functions

| DrawableStrokeColor (const Color &color_)
| DrawableStrokeColor (const DrawableStrokeColor &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | color (const Color &color_)
Color | color (void) const

## Private Attributes

Color | _color

## Detailed Description

Definition at line 1912 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeColor() [1/2]

Magick::DrawableStrokeColor::DrawableStrokeColor | ( | const Color & | color_ | ) |

Definition at line 1382 of file Drawable.cpp.

: _color(color_)
{
}

## DrawableStrokeColor() [2/2]

Magick::DrawableStrokeColor::DrawableStrokeColor | ( | const DrawableStrokeColor & | original_ | ) |

Definition at line 1387 of file Drawable.cpp.

: DrawableBase (original_),
_color(original_._color)
{
}

## ~DrawableStrokeColor()

Magick::DrawableStrokeColor::~DrawableStrokeColor | ( | void |  | ) |

Definition at line 1393 of file Drawable.cpp.

{
}

## Member Function Documentation

## color() [1/2]

void Magick::DrawableStrokeColor::color | ( | const Color & | color_ | ) |

inline

Definition at line 1927 of file Drawable.h.

{
_color = color_;
}

## color() [2/2]

Color Magick::DrawableStrokeColor::color | ( | void |  | ) | const

inline

Definition at line 1931 of file Drawable.h.

{
return _color;
}

## copy()

Magick::DrawableBase * Magick::DrawableStrokeColor::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1405 of file Drawable.cpp.

{
return new DrawableStrokeColor(*this);
}

## operator()()

void Magick::DrawableStrokeColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1396 of file Drawable.cpp.

{
PixelInfo color = static_cast<PixelInfo>(_color);
PixelWand *pixel_wand=NewPixelWand();
PixelSetPixelColor(pixel_wand,&color);
DrawSetStrokeColor(context_,pixel_wand);
pixel_wand=DestroyPixelWand(pixel_wand);
}

## Field Documentation

## _color

Color Magick::DrawableStrokeColor::_color

private

Definition at line 1937 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp